$ErrorActionPreference = 'Stop'

$packageArgs = @{
  packageName            = 'vmware-workstation-player'
  fileType               = 'exe'
  url                    = 'https://download3.vmware.com/software/player/file/VMware-player-15.5.6-16341506.exe'
  checksum               = '96A8B2DA596EC5057F53992B200B834ECBA1F6D0EE2290BEC2B3E28459C42F7E'
  checksumType           = 'sha256'
  silentArgs             = '/s /v/qn EULAS_AGREED=1 AUTOSOFTWAREUPDATE=0 DATACOLLECTION=0 ADDLOCAL=ALL REBOOT=ReallySuppress'
  validExitCodes         = @(0, 3010, 1614, 1641)
}
Install-ChocolateyPackage @packageArgs
